CMSIS-Core (Cortex-M): Globals

| CMSIS-Core (Cortex-M) Version 5.4.0 CMSIS-Core support for Cortex-M processor-based devices

- Main Page
- Usage and Description
- Reference

- All
- Functions
- Variables
- Enumerations
- Enumerator
- Macros

- _
- a
- c
- p

All Data Structures Files Functions Variables Enumerations Enumerator Groups Pages

### - _ -

- __ALIGNED : Ref_CompilerControl.txt
- __ARM_ARCH_6M__ : Ref_CompilerControl.txt
- __ARM_ARCH_7EM__ : Ref_CompilerControl.txt
- __ARM_ARCH_7M__ : Ref_CompilerControl.txt
- __ARM_ARCH_8M_BASE__ : Ref_CompilerControl.txt
- __ARM_ARCH_8M_MAIN__ : Ref_CompilerControl.txt
- __ARMv81MML_REV : Template.txt
- __ARMv8MBL_REV : Template.txt
- __ARMv8MML_REV : Template.txt
- __ASM : Ref_CompilerControl.txt
- __CM0_REV : Template.txt
- __CM0PLUS_REV : Template.txt
- __CM1_REV : Template.txt
- __CM23_REV : Template.txt
- __CM33_REV : Template.txt
- __CM35P_REV : Template.txt
- __CM3_REV : Template.txt
- __CM4_REV : Template.txt
- __CM55_REV : Template.txt
- __CM7_REV : Template.txt
- __CM_CMSIS_VERSION : Ref_VersionControl.txt
- __CM_CMSIS_VERSION_MAIN : Ref_VersionControl.txt
- __CM_CMSIS_VERSION_SUB : Ref_VersionControl.txt
- __COMPILER_BARRIER : Ref_CompilerControl.txt
- __CORTEX_M : Ref_VersionControl.txt
- __CORTEX_SC : Ref_VersionControl.txt
- __DCACHE_PRESENT : Template.txt
- __DSP_PRESENT : Template.txt
- __DTCM_PRESENT : Template.txt
- __FPU_DP : Template.txt
- __FPU_PRESENT : Template.txt
- __ICACHE_PRESENT : Template.txt
- __INITIAL_SP : Ref_CompilerControl.txt
- __INLINE : Ref_CompilerControl.txt
- __MPU_PRESENT : Template.txt
- __NO_RETURN : Ref_CompilerControl.txt
- __NVIC_PRIO_BITS : Template.txt
- __PACKED : Ref_CompilerControl.txt
- __PACKED_STRUCT : Ref_CompilerControl.txt
- __PMU_NUM_EVENTCNT : Template.txt
- __PMU_PRESENT : Template.txt
- __PROGRAM_START : Ref_CompilerControl.txt
- __RESTRICT : Ref_CompilerControl.txt
- __SAUREGION_PRESENT : Template.txt
- __SC000_REV : Template.txt
- __SC300_REV : Template.txt
- __STACK_LIMIT : Ref_CompilerControl.txt
- __STATIC_FORCEINLINE : Ref_CompilerControl.txt
- __STATIC_INLINE : Ref_CompilerControl.txt
- __UNALIGNED_UINT16_READ : Ref_CompilerControl.txt
- __UNALIGNED_UINT16_WRITE : Ref_CompilerControl.txt
- __UNALIGNED_UINT32 : Ref_CompilerControl.txt
- __UNALIGNED_UINT32_READ : Ref_CompilerControl.txt
- __UNALIGNED_UINT32_WRITE : Ref_CompilerControl.txt
- __USED : Ref_CompilerControl.txt
- __VECTOR_TABLE : Ref_CompilerControl.txt
- __VECTOR_TABLE_ATTRIBUTE : Ref_CompilerControl.txt
- __Vendor_SysTickConfig : Template.txt
- __VTOR_PRESENT : Template.txt
- __WEAK : Ref_CompilerControl.txt
- _FLD2VAL : Ref_Peripheral.txt
- _VAL2FLD : Ref_Peripheral.txt